# viewer-core

The `@prizmdoc/viewer-core` module contains core document viewing functionality and API that powers the PrizmDoc HTML5 viewer. **Most people should not use this module directly but should instead start with one of our PrizmDoc viewer samples.**

This module defines the `PCCViewer` namespace and the essential `ViewerControl` object, the thing which is responsible for displaying document page content to the end user and allowing them to interact with it. It does _not_ define any of the standard buttons or panels which are part of the typical, "full" PrizmDoc viewer.

If you're still interested in using the viewer-core module directly, [please check out our api documentation](https://www.accusoft.com/products/prizmdoc/documentation/).

## Including viewer-core

### Browser

#### Script

```html
<script src="/path/to/viewer-core/viewercontrol.js"></script>

```

#### ES5

```javascript
var PCCViewer = require('@prizmdoc/viewer-core');
```

#### ES6

```javascript
import { ViewerControl, SignatureControl, ThumbnailControl } from '@prizmdoc/viewer-core';
```

* note: viewer-core requires a window with a document object;

### Browserify/Webpack

viewer-core can be included in your pre-packaged projects using tools like Webpack, Browserify, and other packagers that support require modules. In general, all you have to do is include viewer-core in your project. You should include it as close to the root file of your build as possible.
